// Copyright 2021 99cloud
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import { inject, observer } from 'mobx-react';
import Base from 'containers/TabDetail';
import BaseDetail from './BaseDetail';
import globalConfigurationsStore from '@/stores/trove/configurations';
import Values from './Values';
import Instances from './Instances';

@inject('rootStore')
@observer
export default class ConfigurationsDetail extends Base {
  init() {
    this.store = globalConfigurationsStore;
  }

  get name() {
    return "Configurations Detail"
  }

  get listUrl() {
    return this.getRoutePath('configurations');
  }

  get policy() {
    return 'trove:configuration:show';
  }

  get detailInfos() {
    return [
      {
        title: t("Name"),
        dataIndex: "name"
      }
    ]
  }

  get tabs() {
    return [
      {
        title: t("General Info"),
        key: "general_info",
        component: BaseDetail
      }, {
        title: t("Values"),
        key: "values",
        component: Values
      }, {
        title: t("Instances"),
        key: "instances",
        component: Instances
      }
    ]
  }
}